## ros-iron-rmw-gurumdds-cpp 5.0.0

=== debian/changelog ===
ros-iron-rmw-gurumdds-cpp (5.0.0-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Youngjin Yun <youngjin@gurum.cc>  Fri, 30 Jun 2023 04:01:40 -0000

ros-iron-rmw-gurumdds-cpp (4.2.0-1jammy) jammy; urgency=high

  * Add maintainer
  * Add null handling
  * Apply loop to take sequence
  * Make writer_guid uint8_t[] for consistency with rmw_request_id_t
  * Make sure to add semicolons to the RMW_CHECK_TYPE_IDENTIFIERS_MATCH
  * Contributors: Youngjin Yun, donghee811

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 06 Mar 2023 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (4.1.2-1jammy) jammy; urgency=high

  * Remove sleep from entity creation
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 29 Nov 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (4.1.1-1jammy) jammy; urgency=high

  * Add rmw_get_gid_for_client method
  * 4.1.0
  * Apply graph cache (#17 <https://github.com/YoungJin-gurum/rmw_gurumdds/issues/17>)
    * graph_cache 0718
    * Add topic name creation
    * graph_cache 0722
    * Sync api
    * add context::finalize()
    * Wrap-up pub and sub
    * fix gid
    * Wrap-up client and service
    * fix segfault
    * Add set on callback empty stub
    * Add content filter topic feature empty stub
    * Change the behavior of take response to a loop
    * Add missing dependency
    * Fix bug and remove unnecessary struct
    * Synk for log
    * Amend log and scope exit for node
    * Apply on_remote_changed callback & fix typo
    * Cleanup log
    * Reposition message handling timing of response
    Co-authored-by: donghee811 <mailto:donghee@gurum.cc>
  * Redefine rmw gurumdds identifier
  * Integrate rmw_gurumdds_shared_cpp into rmw_gurumdds_cpp
  * 4.0.2
  * Add missing guid comparison conditional statement
  * Add sequence numbers to message info structure
  * Handle null string
  * Fix rclcpp test(test_serialized_message) failure
  * 4.0.1
  * Fix cast style and relative paths for cpplint
  * 4.0.0
  * Contributors: Youngjin Yun, donghee811

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 06 Nov 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (4.1.0-1jammy) jammy; urgency=high

  * Apply graph cache (#17 <https://github.com/ros2/rmw_gurumdds/issues/17>)
    * graph_cache 0718
    * Add topic name creation
    * graph_cache 0722
    * Sync api
    * add context::finalize()
    * Wrap-up pub and sub
    * fix gid
    * Wrap-up client and service
    * fix segfault
    * Add set on callback empty stub
    * Add content filter topic feature empty stub
    * Change the behavior of take response to a loop
    * Add missing dependency
    * Fix bug and remove unnecessary struct
    * Synk for log
    * Amend log and scope exit for node
    * Apply on_remote_changed callback & fix typo
    * Cleanup log
    * Reposition message handling timing of response
    Co-authored-by: donghee811 <mailto:donghee@gurum.cc>
  * Redefine rmw gurumdds identifier
  * Integrate rmw_gurumdds_shared_cpp into rmw_gurumdds_cpp
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 04 Oct 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (4.0.2-1jammy) jammy; urgency=high

  * Add missing guid comparison conditional statement
  * Add sequence numbers to message info structure
  * Handle null string
  * Fix rclcpp test(test_serialized_message) failure
  * Contributors: Youngjin Yun, donghee811

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 04 Jul 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (4.0.1-1jammy) jammy; urgency=high

  * Fix cast style and relative paths for cpplint
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 09 May 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (4.0.0-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 08 May 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (3.2.0-1jammy) jammy; urgency=high

  * Enhanced rpc with sampleinfoex
  * Basic rpc
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (3.1.6-1jammy) jammy; urgency=high

  * Remove minimum dds version as raw typesupport removed
  * Revert raw typesupport patch
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (3.1.5-1jammy) jammy; urgency=high

  * Remove dead store
  * Adjust minimum dds version
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 16 Mar 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (3.1.4-1jammy) jammy; urgency=high

  * Use raw typesupport instead of typesupport
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (3.1.3-1jammy) jammy; urgency=high

  * Add omitted free
  * Change to delete only the entities created by the user
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (3.1.2-1jammy) jammy; urgency=high

  * Update packages to use gurumdds-2.8 & Update README
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 02 Jan 2022 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (3.1.1-1jammy) jammy; urgency=high

  * Add public to qos convert api& fix for uncrustify
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 20 Dec 2021 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (3.1.0-1jammy) jammy; urgency=high

  * Use convert api for publisher/subscription Qos getters
  * Add client/service Qos getters
  * Remove dds_typesupport from Publisher/Subscriber Info
  * Change the return time when destroying entities
  * Add ommited memory manage code
  * Modify unnecessary code
  * Fix typo
  * Update return value
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 24 Nov 2021 15:00:00 -0000

ros-iron-rmw-gurumdds-cpp (3.0.9-1jammy) jammy; urgency=high




